API referenceOfficial · Account
Update Steam cookies
Updates the Steam session cookies for an account bound to the current BUFF account.
POST
/api/market/developer/steam/cookieUpdates the Steam session cookies for an account bound to the current BUFF account.
Authorization
bearer AuthorizationBearer <token>
BUFF developer API token. Send it as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/market/developer/steam/cookie" \ -H "Content-Type: application/json" \ -d '{ "steamid": "76561198012345678", "steam_cookies": "[{\\"domain\\":\\"steamcommunity.com\\",\\"key\\":\\"steamLoginSecure\\",\\"value\\":\\"76561198012345678%7C%7C*****\\"},{\\"domain\\":\\"login.steampowered.com\\",\\"key\\":\\"steamRefresh_steam\\",\\"value\\":\\"*****\\"},{\\"domain\\":\\"login.steampowered.com\\",\\"key\\":\\"ak_bmsc\\",\\"value\\":\\"*****\\"},{\\"domain\\":\\"login.steampowered.com\\",\\"key\\":\\"bm_sv\\",\\"value\\":\\"*****\\"}]" }'{ "steamid": "76561198012345678", "cookie_state": "valid"}